__gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence > Class Template Reference

`#include <vector>`

Inheritance diagram for __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >:
[legend]

## Protected Member Functions

| _Safe_vector (_Safe_vector &&__x) noexcept
| _Safe_vector (const _Safe_vector &) noexcept
| _Safe_vector (size_type __n) noexcept
bool | _M_requires_reallocation (size_type __elements) const noexcept
void | _M_update_guaranteed_capacity () noexcept
_Safe_vector & | operator= (_Safe_vector &&__x) noexcept
_Safe_vector & | operator= (const _Safe_vector &) noexcept

## Protected Attributes

size_type | _M_guaranteed_capacity

## Detailed Description

template<typename _SafeSequence, typename _BaseSequence>
class __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >

Base class for Debug Mode vector.

Adds information about the guaranteed capacity, which is useful for detecting code which relies on non-portable implementation details of the libstdc++ reallocation policy.

Definition at line 54 of file debug/vector.

## Constructor & Destructor Documentation

## _Safe_vector() [1/4]

template<typename _SafeSequence, typename _BaseSequence>

__gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_Safe_vector | ( |  | ) |

inline protected noexcept

Definition at line 62 of file debug/vector.

## _Safe_vector() [2/4]

template<typename _SafeSequence, typename _BaseSequence>

__gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_Safe_vector | ( | const _Safe_vector< _SafeSequence, _BaseSequence > & |  | ) |

inline protected noexcept

Definition at line 66 of file debug/vector.

## _Safe_vector() [3/4]

template<typename _SafeSequence, typename _BaseSequence>

__gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_Safe_vector | ( | size_type | __n | ) |

inline protected noexcept

Definition at line 70 of file debug/vector.

## _Safe_vector() [4/4]

template<typename _SafeSequence, typename _BaseSequence>

__gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_Safe_vector | ( | _Safe_vector< _SafeSequence, _BaseSequence > && | __x | ) |

inline protected noexcept

Definition at line 82 of file debug/vector.

## Member Function Documentation

## _M_requires_reallocation()

template<typename _SafeSequence, typename _BaseSequence>

bool __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_M_requires_reallocation | ( | size_type | __elements | ) | const

inline protected noexcept

Definition at line 98 of file debug/vector.

## _M_update_guaranteed_capacity()

template<typename _SafeSequence, typename _BaseSequence>

void __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_M_update_guaranteed_capacity | ( |  | ) |

inline protected noexcept

Definition at line 102 of file debug/vector.

## operator=() [1/2]

template<typename _SafeSequence, typename _BaseSequence>

_Safe_vector & __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::operator= | ( | _Safe_vector< _SafeSequence, _BaseSequence > && | __x | ) |

inline protected noexcept

Definition at line 87 of file debug/vector.

## operator=() [2/2]

template<typename _SafeSequence, typename _BaseSequence>

_Safe_vector & __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::operator= | ( | const _Safe_vector< _SafeSequence, _BaseSequence > & |  | ) |

inline protected noexcept

Definition at line 75 of file debug/vector.

## Member Data Documentation

## _M_guaranteed_capacity

template<typename _SafeSequence, typename _BaseSequence>

size_type __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_M_guaranteed_capacity

protected

Definition at line 95 of file debug/vector.

The documentation for this class was generated from the following file:

- debug/vector